#ifndef _SEARCH_H_
#define _SEARCH_H_


void mnbrak(double *ax, double *bx, double *cx, double *fa, double *fb, double *fc,
	double (*func)(double));
double golden(double ax, double bx, double cx, double (*f)(double), double tol,
	double *xmin);
double brent(double ax, double bx, double cx, double (*f)(double), double tol,
	double *xmin);
double dbrent(double ax, double bx, double cx, double (*f)(double),
	double (*df)(double), double tol, double *xmin);
double riddlerRoot(double (*func)(double), double x1, double x2, double limit, double xacc);

#endif /* _SEARCH_H_ */
