/*  Header file for calclik.c                          */

/*  (c) Copyright 1996, Andrew Rambaut & Nick Grassly  */
/*  Department of Zoology, University of Oxford        */

#ifndef _CALCLIK_H_
#define _CALCLIK_H_

/* globals */

extern TNode *startNode;

/* A function pointer for the calclik function */
extern double (*CalcLik)();

/* prototypes */
void SetupLikelihood(TTree *);
void FinishLikelihood(TTree *);
double codonCalcLik();
double gammaCalcLik();


#endif /* _CALCLIK_H_ */

