/*  Header file for fHKY.c                             */

/*  (c) Copyright 1996, Andrew Rambaut & Nick Grassly  */
/*  Department of Zoology, University of Oxford        */

#ifndef _FHKY_H_
#define _FHKY_H_

#define FHKY_NUM_GLOBALS 1

void Init_Params_HKY(int printHelp);
int Read_Param_HKY(int argc, char **argv, int *index);
int Finish_Params_HKY();
void Init_HKY(double *globals, TNode *nodes);
void Global_HKY(int globalIdx);
void Label_HKY(void);
void Done_HKY(TNode *nodes);
void SetMatrix_HKY(double *matrix, int cat, int branchNo);
void SetAllMatrices_HKY(double *matrix, int cat, int useMask);

#endif /* _FHKY_H_ */
