/*  Header file for fHKY85.c                              */

/*  (c) Copyright 1996, Andrew Rambaut & Nick Grassly  */
/*  Department of Zoology, University of Oxford        */

#ifndef _FREV_H_
#define _FREV_H_

#define FREV_NUM_GLOBALS 5

void Init_Params_REV(int printHelp);
int Read_Param_REV(int argc, char **argv, int *index);
int Finish_Params_REV();
void Init_REV(double *globals, TNode *nodes);
void Global_REV(int globalIdx);
void Label_REV(void);
void Done_REV(TNode *nodes);
void SetMatrix_REV(double *matrix, int cat, int branchNo);
void SetAllMatrices_REV(double *matrix, int cat, int useMask);

#endif /* _FREV_H_ */
